edu.sc.seis.sod.status.waveformArm

## Class WaveformStatusTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.FileWritingTemplate
    - - edu.sc.seis.sod.status.waveformArm.WaveformStatusTemplate

- All Implemented Interfaces:
    SodElement, GenericTemplate, WaveformMonitor, java.lang.Runnable

      public class WaveformStatusTemplate
      extends FileWritingTemplate
      implements WaveformMonitor

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaveformStatusTemplate(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `void` | `update(EventChannelPair ecp)`
    `void` | `update(EventNetworkPair ecp)`
    `void` | `update(EventStationPair ecp)`
    `void` | `update(EventVectorPair ecp)`

    - ### Methods inherited from class edu.sc.seis.sod.status.FileWritingTemplate

      `getBaseDirectoryName, getFilename, getOutputDirectory, getOutputLocation, getResult, run, testOutputLoc, textTemplate, toString, write, write`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WaveformStatusTemplate

          public WaveformStatusTemplate(org.w3c.dom.Element el)
                                 throws java.io.IOException,
                                        org.xml.sax.SAXException,
                                        javax.xml.parsers.ParserConfigurationException,
                                        ConfigurationException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`
        `javax.xml.parsers.ParserConfigurationException`
        `ConfigurationException`

  - ### Method Detail

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `FileWritingTemplate`
      Throws:
        `ConfigurationException`

    - #### update

          public void update(EventChannelPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventVectorPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventStationPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`

    - #### update

          public void update(EventNetworkPair ecp)

      Specified by:
        `update` in interface `WaveformMonitor`